Class | Amalgalite::ProfileTap
In: | lib/amalgalite/profile_tap.rb lib/amalgalite/profile_tap.rb
Parent: | Object

A Profile Tap recives `profile` events from SQLite which involve the number of nanoseconds in wall-clock time it took for a particular thing to happen. In general this `thing` is an SQL statement.

It has a well known `profile` method which when invoked will write the event to a delegate object.

### Methods

new new profile profile

### Attributes

samplers | [R] |
samplers | [R] |

### Public Class methods

new( wrapped_obj, send_to = 'profile' )

Create a new ProfileTap object that wraps the given object and calls the method named in `send_to` ever time a profile event happens.

new( wrapped_obj, send_to = 'profile' )

Create a new ProfileTap object that wraps the given object and calls the method named in `send_to` ever time a profile event happens.

### Public Instance methods

profile( msg, time )

Record the profile information and send the delegate object the msg and time information.

profile( msg, time )

Record the profile information and send the delegate object the msg and time information.

[Validate]